From f2c31866ade71401870f5dba1ffe757f3fb047a9 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <dgustafsson@postgresql.org>
Date: Fri, 3 Nov 2023 14:53:19 +0100
Subject: [PATCH v5 2/2] doc: Add a note about not supporting XML(SEQUENCE)

The SQL specification defines a RETURNING clause to a set of XML
functions, where RETURNING CONTENT or RETURNING SEQUENCE can be
defined.  Since PostgreSQL doesn't support XML(SEQUENCE) all of
these functions operate with an implicit RETURNING CONTENT.

Discussion: https://postgr.es/m/40b65c4b-bca6-5713-39df-6080b97891b1@postgresfriends.org
---
 doc/src/sgml/features.sgml | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/doc/src/sgml/features.sgml b/doc/src/sgml/features.sgml
index 575afa3476..966fd39882 100644
--- a/doc/src/sgml/features.sgml
+++ b/doc/src/sgml/features.sgml
@@ -199,6 +199,15 @@
        standard.
       </para>
      </listitem>
+
+     <listitem>
+      <para>
+       <productname>PostgreSQL</productname> does not support the
+       <literal>RETURNING CONTENT</literal> or <literal>RETURNING SEQUENCE</literal>
+       clauses, functions which are defined to have these in the specification
+       are implicitly returning content.
+      </para>
+     </listitem>
     </itemizedlist>
    </para>
 
-- 
2.32.1 (Apple Git-133)

